digiKam Developer Documentation: Digikam::LightTablePreview Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::LightTablePreview Class Reference
Inheritance diagram for Digikam::LightTablePreview:

## Signals
void | signalDroppedItems (const ItemInfoList &)
Signals inherited from Digikam::ItemPreviewView
void | signalAddToExistingQueue (int)
void | signalDeleteItem ()
void | signalEscapePreview ()
void | signalGotoAlbumAndItem (const ItemInfo &)
void | signalGotoDateAndItem (const ItemInfo &)
void | signalGotoTagAndItem (int)
void | signalLoadingComplete ()
void | signalLoadingProgress (float progress)
void | signalNextItem ()
void | signalPopupTagsView ()
void | signalPreviewLoaded (bool success)
void | signalPrevItem ()
void | signalSlideShowCurrent ()
void | signalStartedLoading ()
Signals inherited from Digikam::GraphicsDImgView
void | activated ()
void | contentsMoved (bool panningFinished)
void | contentsMoving (int, int)
void | leftButtonClicked ()
void | leftButtonDoubleClicked ()
void | resized ()
void | rightButtonClicked ()
void | signalZoomFactorChanged ()
void | toNextImage ()
void | toPreviousImage ()
void | viewportRectChanged (const QRectF &viewportRect)

## Public Member Functions
| LightTablePreview (QWidget *const parent=nullptr)
void | setDragAndDropEnabled (bool b)
void | showDragAndDropMessage ()
Public Member Functions inherited from Digikam::ItemPreviewView
| ItemPreviewView (QWidget *const parent, Mode mode=IconViewPreview, Album *const currAlbum=nullptr)
ItemInfo | getItemInfo () const
void | reload ()
void | setHostWindowActions (const HostActionsMap &actions)
void | setImagePath (const QString &path=QString())
void | setItemInfo (const ItemInfo &info=ItemInfo(), const ItemInfo &previous=ItemInfo(), const ItemInfo &next=ItemInfo())
void | setPreviousNextPaths (const QString &previous, const QString &next)
Public Member Functions inherited from Digikam::GraphicsDImgView
| GraphicsDImgView (QWidget *const parent=nullptr)
int | contentsX () const
int | contentsY () const
void | drawText (QPainter *p, const QRectF &rect, const QString &text)
void | fitToWindow ()
bool | isMagnifierVisible () const
GraphicsDImgItem * | item () const
| Return the instance of item set by setItem().
SinglePhotoPreviewLayout * | layout () const
int | magnifierSize () const
qreal | magnifierZoomFactor () const
DImgPreviewItem * | previewItem () const
void | scrollPointOnPoint (const QPointF &scenePos, const QPoint &viewportPos)
| Scrolls the view such that scenePos (in scene coordinates is displayed on the viewport at viewportPos (in viewport coordinates).
void | setContentsPos (int x, int y)
void | setItem (GraphicsDImgItem *const item)
| Store internal instance of item as GraphicsDImgItem.
void | setMagnifierSize (int size)
void | setMagnifierVisible (bool b)
void | setMagnifierZoomFactor (qreal factor)
void | toggleFullScreen (bool set)
QRect | visibleArea () const

## Additional Inherited Members
Public Types inherited from Digikam::ItemPreviewView
enum | Mode { IconViewPreview , LightTablePreview }
Protected Slots inherited from Digikam::GraphicsDImgView
void | slotContentsMoved ()
virtual void | slotPanIconSelectionMoved (const QRect &, bool)
void | slotRefreshPanIconSelection ()
void | slotZoomFactorChanged ()
Protected Member Functions inherited from Digikam::ItemPreviewView
bool | acceptsMouseClick (QMouseEvent *e) override
void | dragEnterEvent (QDragEnterEvent *e) override
void | dragMoveEvent (QDragMoveEvent *e) override
void | dropEvent (QDropEvent *e) override
void | enterEvent (QEnterEvent *) override
void | leaveEvent (QEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | showEvent (QShowEvent *e) override
Protected Member Functions inherited from Digikam::GraphicsDImgView
void | continuePanning (const QPoint &pos)
void | drawForeground (QPainter *painter, const QRectF &rect) override
virtual bool | event (QEvent *) override
void | finishPanning ()
PanIconWidget * | installPanIcon ()
virtual void | mouseDoubleClickEvent (QMouseEvent *) override
virtual void | mouseMoveEvent (QMouseEvent *) override
virtual void | mouseReleaseEvent (QMouseEvent *) override
virtual void | resizeEvent (QResizeEvent *) override
virtual void | scrollContentsBy (int dx, int dy) override
void | setScaleFitToWindow (bool value)
void | setShowText (bool value)
void | startPanning (const QPoint &pos)
void | updatePanIconWidget ()
virtual bool | viewportEvent (QEvent *) override
virtual void | wheelEvent (QWheelEvent *) override